import 'package:flutter/material.dart';
import 'screens.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Four Screens App',
      theme: ThemeData(
        colorScheme: ColorScheme.fromSeed(seedColor: Colors.blue),
        useMaterial3: true,
      ),
      initialRoute: screen1Route,
      routes: {
        screen1Route: (context) => const Screen1(),
        screen2Route: (context) => const Screen2(),
        screen3Route: (context) => const Screen3(),
        screen4Route: (context) => const Screen4(),
      },
    );
  }
}
